{{page-title this.pageTitle replace=true}}
<div>
  <h1 class="page__title page-title">{{t "pages.sessions.new.title"}}</h1>

  <form {{on "submit" this.createSession}} class="session-form">
    <p class="session-form__mandatory-information">
      {{t "pages.sessions.new.required-fields" htmlSafe=true}}
    </p>

    <div class="session-form__field">
      <label for="session-address" class="label">
        <abbr title="obligatoire" class="mandatory-mark" aria-hidden="true">*</abbr>
        {{t "pages.sessions.new.address"}}
      </label>
      <Input
        id="session-address"
        name="session-address"
        @type="text"
        maxlength="255"
        class="input"
        @value={{this.session.address}}
      />
      {{#each this.session.errors.address as |error|}}
        <div class="session-form__error error-message">
          {{error.message}}
        </div>
      {{/each}}
    </div>

    <div class="session-form__field">
      <label for="session-room" class="label">
        <abbr title="obligatoire" class="mandatory-mark" aria-hidden="true">*</abbr>
        {{t "pages.sessions.new.room"}}
      </label>
      <Input
        id="session-room"
        name="session-room"
        @type="text"
        maxlength="255"
        class="input"
        @value={{this.session.room}}
      />
      {{#each this.session.errors.room as |error|}}
        <div class="session-form__error error-message">
          {{error.message}}
        </div>
      {{/each}}
    </div>

    <div class="session-form__field">
      <label for="session-date" class="label">
        <abbr title="obligatoire" class="mandatory-mark" aria-hidden="true">*</abbr>
        {{t "pages.sessions.new.date"}}
      </label>
      <EmberFlatpickr
        id="session-date"
        @altFormat="d/m/Y"
        @altInput={{true}}
        @onChange={{this.onDatePicked}}
        @date=""
        @dateFormat="Y-m-d"
        @locale="fr"
        @minDate="today"
        @name="session-date"
        class="input input--small"
      />
      {{#each this.session.errors.date as |error|}}
        <div class="session-form__error error-message">
          {{error.message}}
        </div>
      {{/each}}
    </div>

    <div class="session-form__field">
      <label for="session-time" class="label">
        <abbr title="obligatoire" class="mandatory-mark" aria-hidden="true">*</abbr>
        {{t "pages.sessions.new.time"}}
      </label>
      <EmberFlatpickr
        id="session-time"
        @onChange={{this.onTimePicked}}
        @onClose={{this.onTimePicked}}
        @enableTime={{true}}
        @date=""
        @noCalendar={{true}}
        @dateFormat="H:i"
        @time_24hr={{true}}
        @enableSeconds={{false}}
        @name="session-time"
        class="input input--small"
      />
      {{#each this.session.errors.time as |error|}}
        <div class="session-form__error error-message">
          {{error.message}}
        </div>
      {{/each}}
    </div>

    <div class="session-form__field">
      <label for="session-examiner" class="label">
        <abbr title="obligatoire" class="mandatory-mark" aria-hidden="true">*</abbr>
        {{t "pages.sessions.new.examiner"}}
      </label>
      <Input
        id="session-examiner"
        name="session-examiner"
        @type="text"
        maxlength="255"
        class="input"
        @value={{this.session.examiner}}
      />
      {{#each this.session.errors.examiner as |error|}}
        <div class="session-form__error error-message">
          {{error.message}}
        </div>
      {{/each}}
    </div>

    <div class="session-form__field">
      <label for="session-description" class="label">{{t "pages.sessions.new.description"}}</label>
      <Textarea
        id="session-description"
        name="session-description"
        maxlength="350"
        rows={{8}}
        @value={{this.session.description}}
        class="textarea"
      />
    </div>

    <ul class="session-form__actions">
      <li>
        <PixButton
          data-test-id="session-form__cancel-button"
          @backgroundColor="transparent-light"
          @triggerAction={{this.cancel}}
          @isBorderVisible="true"
          aria-label={{t "pages.sessions.new.actions.cancel-extra-information"}}
        >
          {{t "common.actions.cancel"}}
        </PixButton>
      </li>
      <li>
        <PixButton @type="submit">
          {{t "pages.sessions.new.actions.create-session"}}
        </PixButton>
      </li>
    </ul>

  </form>
</div>